Subject: Re: [PATCH v2 4/9] t3905: remove nested git in command substitution

From: Junio C Hamano <[email-masked]>
Date: Tue, 09 Feb 2021 23:24:53 -0800

Denton Liu <[email-masked]> writes:

> If a git command in a nested command substitution fails, it will be
> silently ignored since only the return code of the outer command
> substitutions is reported. Factor out nested command substitutions so
> that the error codes of those commands are reported.

Locally this makes sense.  We may want to clean it up further by
using existing blob objects, instead of using hash-objects, but that
is for some other day.